/*
 * Sensors.h
 *
 * Created: 18.04.2021 21:13:38
 *  Author: vstrasil
 */ 

#include <avr/io.h>

#ifndef SENSORS_H_
#define SENSORS_H_

#define LINE ADC_CH_MUXPOS_PIN0_gc 
#define DIS1 ADC_CH_MUXPOS_PIN1_gc
#define DIS2 ADC_CH_MUXPOS_PIN2_gc
#define DIS3 ADC_CH_MUXPOS_PIN3_gc 
#define DIS4 ADC_CH_MUXPOS_PIN4_gc
#define IPROPIL ADC_CH_MUXPOS_PIN5_gc 
#define IPROPIR ADC_CH_MUXPOS_PIN6_gc
#define TRIMR ADC_CH_MUXPOS_PIN7_gc
#define NTCL ADC_CH_MUXPOS_PIN8_gc
#define NTCR ADC_CH_MUXPOS_PIN9_gc 
#define BAT ADC_CH_MUXPOS_PIN10_gc 

void sensors_init();
int sensor_ch0(uint8_t aSENSOR);
int sensor_ch1(uint8_t aSENSOR);
int sensor_ch2(uint8_t aSENSOR);
int sensor_ch3(uint8_t aSENSOR);
uint8_t is_battery_ok();



#endif /* SENSORS_H_ */